#include "stringtools.h"

#include <unistd.h>
#include <iostream>

std::string& trim(std::string& str)
{
  std::string::size_type pos = str.find_last_not_of(" \t");
  if(pos != std::string::npos) {
    str.erase(pos + 1);
    pos = str.find_first_not_of(" \t");
    if(pos != std::string::npos) str.erase(0, pos);
  }
  else str.erase(str.begin(), str.end());
  
  return str;
}

void removeComments(std::string& str)
{
	std::string::size_type pos;
	
	if ((pos = str.find('#')) != std::string::npos) {
		str.erase(pos);
	}
}

void setSafeEuid()
{
	if (getuid() != 0) {
		if (seteuid(getuid())) {
			perror("setSafeEuid");
		}
	}
}

void setEuidRoot() {
	if (getuid() != 0) {
		if (seteuid(0)) {
			perror("setEuidRoot");
		}
	}
}
